> For the complete documentation index, see [llms.txt](https://docs.ecommerce.seb.ee/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecommerce.seb.ee/api-reference/merchant-api/shops.md).

# Shops

The Shop APIs provide access to shop configuration and operational information outside of the payment lifecycle.

Typical use cases include:

* Retrieving shop configuration details.
* Retrieving the payment methods available for a shop without initiating a payment.
* Performing payment-related setup operations, such as Apple Pay merchant validation.

## GET /egw/{version}/shops/{shopAgreementId}

> Get the shop details

```json
{"openapi":"3.1.0","info":{"title":"E-commerce Gateway API","version":"1.0.0"},"tags":[{"description":"The Shop APIs provide access to shop configuration and operational information outside of the payment lifecycle.\n\nTypical use cases include:\n  - Retrieving shop configuration details.\n  - Retrieving the payment methods available for a shop without initiating a payment.\n  - Performing payment-related setup operations, such as Apple Pay merchant validation.\n","name":"Shops"}],"servers":[{"description":"Production server for live traffic","url":"https://api.ecommerce.seb.ee"},{"description":"Sandbox testing environment","url":"https://sandbox.api.ecommerce.seb.ee"}],"security":[{"oauth2ClientCredentials":[]}],"components":{"securitySchemes":{"oauth2ClientCredentials":{"flows":{"clientCredentials":{"scopes":{},"tokenUrl":"https://api.ecommerce.seb.ee/auth/realms/participants-seb/protocol/openid-connect/token"}},"type":"oauth2"}},"schemas":{"ShopDetailsResponse":{"type":"object","description":"Details about the shop, including its available payment methods","properties":{"address":{"$ref":"#/components/schemas/Address","description":"Shop's contact address"},"country":{"type":"string","description":"Country code in ISO 3166-1 alpha-2 format"},"email":{"type":"string","description":"Shop's contact email"},"name":{"type":"string","description":"Name of the shop"},"participantId":{"type":"string","description":"Unique ID of the participant","maxLength":64},"paymentMethods":{"type":"array","description":"Payment methods available for the shop","items":{"oneOf":[{"$ref":"#/components/schemas/ShopPaymentMethod.ApplePay"},{"$ref":"#/components/schemas/ShopPaymentMethod.Card"},{"$ref":"#/components/schemas/ShopPaymentMethod.ClickToPay"},{"$ref":"#/components/schemas/ShopPaymentMethod.GooglePay"},{"$ref":"#/components/schemas/ShopPaymentMethod.OpenBanking"},{"$ref":"#/components/schemas/ShopPaymentMethod.PayPal"}]}},"phone":{"type":"string","description":"Shop's contact phone number"},"shopAgreementId":{"type":"string","description":"Unique ID of the shop","maxLength":64},"websiteUrl":{"type":"string","description":"URL of the shop's website"}}},"Address":{"type":"object","description":"Information about the address","properties":{"addressLine1":{"type":"string","description":"First line of the street address","maxLength":255,"minLength":0},"addressLine2":{"type":"string","description":"Second line of the street address","maxLength":255,"minLength":0},"city":{"type":"string","description":"City","maxLength":255,"minLength":0},"country":{"type":"string","description":"Country code in ISO 3166-1 alpha-2 format"},"postalCode":{"type":"string","description":"Postal code","maxLength":255,"minLength":0},"state":{"type":"string","description":"State or province","maxLength":255,"minLength":0}}},"ShopPaymentMethod.ApplePay":{"allOf":[{"$ref":"#/components/schemas/ShopPaymentMethod"},{"type":"object","properties":{"brands":{"type":"array","description":"Card schemes accepted for this payment method","items":{"$ref":"#/components/schemas/CardBrand"},"uniqueItems":true}}}],"description":"Apple Pay payment method available for the shop"},"ShopPaymentMethod":{"description":"Represents a payment method available for a shop. The specific fields included in the response\ndepend on the type of payment method, as indicated by the 'type' field.\n","discriminator":{"mapping":{"APPLE_PAY":"#/components/schemas/ShopPaymentMethod.ApplePay","CARD":"#/components/schemas/ShopPaymentMethod.Card","CLICK_TO_PAY":"#/components/schemas/ShopPaymentMethod.ClickToPay","GOOGLE_PAY":"#/components/schemas/ShopPaymentMethod.GooglePay","OPEN_BANKING":"#/components/schemas/ShopPaymentMethod.OpenBanking","PAYPAL":"#/components/schemas/ShopPaymentMethod.PayPal"},"propertyName":"type"},"properties":{"type":{"$ref":"#/components/schemas/PaymentMethodType"}},"required":["type"]},"PaymentMethodType":{"type":"string","description":"Payment method used to complete a payment:\n\n* CARD - payment card\n* OPEN_BANKING - bank transfer initiated via open banking\n* CLICK_TO_PAY - Click to Pay wallet\n* APPLE_PAY - Apple Pay wallet\n* GOOGLE_PAY - Google Pay wallet\n* PAYPAL - PayPal wallet\n","enum":["APPLE_PAY","CARD","CLICK_TO_PAY","GOOGLE_PAY","OPEN_BANKING","PAYPAL"]},"CardBrand":{"type":"string","description":"Card scheme of the payment card","enum":["MASTERCARD","VISA"]},"ShopPaymentMethod.Card":{"allOf":[{"$ref":"#/components/schemas/ShopPaymentMethod"},{"type":"object","properties":{"brands":{"type":"array","description":"Card schemes accepted for this payment method","items":{"$ref":"#/components/schemas/CardBrand"},"uniqueItems":true},"sandboxAvailable":{"type":"boolean","description":"Indicates whether this payment method is available in the sandbox environment.\nNote: this field is only returned in the sandbox environment.\n"}}}],"description":"Card payment method available for the shop"},"ShopPaymentMethod.ClickToPay":{"allOf":[{"$ref":"#/components/schemas/ShopPaymentMethod"},{"type":"object","properties":{"brands":{"type":"array","description":"Card schemes accepted for this payment method","items":{"$ref":"#/components/schemas/CardBrand"},"uniqueItems":true},"sandboxAvailable":{"type":"boolean","description":"Indicates whether this payment method is available in the sandbox environment.\nNote: this field is only returned in the sandbox environment.\n"},"srcDpaId":{"type":"string","description":"Digital payment application identifier used to initialize Click to Pay"}}}],"description":"Click to Pay payment method available for the shop"},"ShopPaymentMethod.GooglePay":{"allOf":[{"$ref":"#/components/schemas/ShopPaymentMethod"},{"type":"object","properties":{"brands":{"type":"array","description":"Card schemes accepted for this payment method","items":{"$ref":"#/components/schemas/CardBrand"},"uniqueItems":true},"sandboxAvailable":{"type":"boolean","description":"Indicates whether this payment method is available in the sandbox environment.\nNote: this field is only returned in the sandbox environment.\n"}}}],"description":"Google Pay payment method available for the shop"},"ShopPaymentMethod.OpenBanking":{"allOf":[{"$ref":"#/components/schemas/ShopPaymentMethod"},{"type":"object","properties":{"banks":{"type":"array","items":{"$ref":"#/components/schemas/Bank"}}}}],"description":"Open banking payment method available for the shop, including the banks the customer can choose from"},"Bank":{"type":"object","description":"Information about a bank that can be used for payments","properties":{"bankId":{"type":"string","description":"Unique ID of the bank, used to select it when creating a checkout session"},"country":{"type":"string","description":"Country code in ISO 3166-1 alpha-2 format"},"logo":{"type":"string","description":"SVG markup for the bank's logo"},"name":{"type":"string","description":"Name of the bank"},"sandboxAvailable":{"type":"boolean","description":"Indicates whether this bank is available in the sandbox environment.\nThis field is only included in responses when using the sandbox environment.\n"}}},"ShopPaymentMethod.PayPal":{"allOf":[{"$ref":"#/components/schemas/ShopPaymentMethod"}],"description":"PayPal payment method available for the shop"},"ErrorResponse":{"type":"object","description":"Contains details of the error that occurred during an API call","properties":{"apiClientMessages":{"type":"array","items":{"$ref":"#/components/schemas/ApiClientMessage"}}}},"ApiClientMessage":{"type":"object","description":"A single error message returned for the API call","properties":{"category":{"$ref":"#/components/schemas/ApiClientMessage.Category"},"code":{"type":"string","description":"Error code"},"text":{"type":"string","description":"Description of the error"}}},"ApiClientMessage.Category":{"type":"string","description":"Severity category of the message:\n\n* ERROR - the request could not be processed\n","enum":["ERROR"]}}},"paths":{"/egw/{version}/shops/{shopAgreementId}":{"get":{"operationId":"getShopDetails","parameters":[{"description":"Unique ID of the shop","in":"path","name":"shopAgreementId","required":true,"schema":{"type":"string","description":"Unique ID of the shop","maxLength":64}},{"description":"ID of the request, unique to the call, as determined by the initiating party","in":"header","name":"X-Request-Id","required":true,"schema":{"type":"string","format":"uuid","description":"ID of the request, unique to the call, as determined by the initiating party"}},{"in":"path","name":"version","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShopDetailsResponse"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Bad Request"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Forbidden"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Not Found"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Conflict"},"503":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Service Unavailable"}},"summary":"Get the shop details","tags":["Shops"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ecommerce.seb.ee/api-reference/merchant-api/shops.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
